XD 15 new plugin APIs and features

new-release

#1

XD 15 was released today and includes more enhancements for plugin developers:

There are also several enhancements for plugin users:

  • Disable individual plugins without uninstalling them
  • Users can force-stop a plugin that is stuck on the “Plugin is working…” message

For further details on what’s new for plugins, see the updated changelog page or this complete diff of all docs changes. To see what else is new for XD users, check out our general XD release announcement.

If you build a plugin that uses any of the new APIs, consider whether it’s possible to gracefully degrade to support older versions of XD (and please test in an older XD version to confirm it works!). But if your plugin absolutely requires XD 15 APIs, don’t forget to set your manifest.json file to specify "minVersion": "15.0.0".

Please let us know what you think and show us all the cool things you build!


#2

Not when attempting a division by zero. Learned that the hard way today :wink:


#3

I’m testing the new assets features.
I left "minVersion": "13.0.0" by mistake and all keeps working regularly. When should we absolutely use 15?


#4

may it works for you because you updated your XD but your user may not do so
so if you want to use new api you have to check whether user has version that supports feature you are developing


#5

Thank you @PramUkesh.
I will add a function to check the Application version and eventually open an alert dialog.


#6

Wait… what? What does a division by zero do to XD? Hang it?